Page MenuHomePhabricator

Should not load full GuidedTour module unconditionally for all logged in users
Closed, ResolvedPublic

Description

ContentTranslation should avoid loading the GuidedTour module unconditionally for all logged in users (https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FContentTranslation.git/0200e82dcc72575b96edba9be9951d0deaddc6db/ContentTranslation.hooks.php#L35). It should only be loaded as needed.

There are probably multiple ways to do it (e.g. checking for the custom data cookie being present), but if we fix T70286, you will be able to use a similar API to the one you use currently, but without loading so much code.


Version: master
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=68286

Details

Reference
bz68287

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:32 AM
bzimport added a project: ContentTranslation.
bzimport set Reference to bz68287.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 3 2015, 3:58 PM
Amire80 lowered the priority of this task from Medium to Low.Jul 6 2015, 11:11 AM
Amire80 set Security to None.
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 4:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2015, 4:15 PM
Amire80 moved this task from CX7 to CX6 on the ContentTranslation board.Jul 29 2015, 10:38 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 3:28 PM
Amire80 updated the task description. (Show Details)Oct 8 2015, 7:16 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 18 2015, 8:27 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Nov 11 2019, 8:23 AM
Petar.petkovic closed this task as Resolved.Nov 11 2019, 9:30 AM
Petar.petkovic assigned this task to santhosh.
Petar.petkovic added a subscriber: Petar.petkovic.

Guided Tour was removed from Content Translation in 502671 and 500811.